/***************************************************************************
 *            PSMSConnectionManager.h
 *
 *  
 *  libpsms  - library of Promise SmartStor Media Server
 *
 *  Copyright (C) 2007 Promise Technology Inc.  
 ****************************************************************************/

#ifndef _PSMSCONNECTIONMANAGER_H
#define _PSMSCONNECTIONMANAGER_H

#include "UPnPService.h"
#include <string>

class CPSMSConnectionManager: public CUPnPService
{
	public:
		
    CPSMSConnectionManager(std::string p_sHTTPServerURL);
    ~CPSMSConnectionManager();
    std::string GetServiceDescription();
    
    
    void HandleUPnPAction(CUPnPAction* pUPnPAction, CHTTPMessage* pMessageOut);
    
  private:
  	
  	std::string HandleUPnPGetProtocolInfo(CUPnPAction* pAction);
  	
  	std::string HandleUPnPGetCurrentConnectionIDs(CUPnPAction* pAction);
  		         
  	std::string HandleUPnPGetCurrentConnectionInfo(CUPnPAction* pAction);

};

#endif
