/***************************************************************************
 *            PSMSHTTPRequestHandler.h
 *
 *  
 *  libpsms  - library of Promise SmartStor Media Server
 *
 *  Copyright (C) 2007 Promise Technology Inc.  
 ****************************************************************************/
 
#ifndef _HTTPREQUESTHANDLER_H
#define _HTTPREQUESTHANDLER_H

#include <HTTP/HTTPMessage.h>


class PSMSCHTTPRequestHandler
{
  public:
    PSMSCHTTPRequestHandler();
  
    bool HandleRequest(CHTTPMessage* pRequest, CHTTPMessage* pResponse);

  private:
    bool HandleHTTPRequest(CHTTPMessage* pRequest, CHTTPMessage* pResponse);
    
    bool HandleSOAPAction(CHTTPMessage* pRequest, CHTTPMessage* pResponse);    

    bool HandleGENAMessage(CHTTPMessage* pRequest, CHTTPMessage* pResponse);
  
    bool HandleItemRequest(std::string p_sObjectId, HTTP_MESSAGE_TYPE p_nRequestType, CHTTPMessage* pResponse);
};

#endif /* _HTTPREQUESTHANDLER_H */
